# Configuration file for the Sphinx documentation builder.
#
# This file only contains a selection of the most common options. For a full
# list see the documentation:
# https://www.sphinx-doc.org/en/master/usage/configuration.html

# -- Path setup --------------------------------------------------------------

# If extensions (or mod to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))


# -- Project information -----------------------------------------------------

project = 'spatialtis_core'
copyright = '2021, Mr-Milk'
author = 'Mr-Milk'


# -- General configuration ---------------------------------------------------

# Add any Sphinx extension mod names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = [
    'sphinx.ext.autodoc',
    'autoapi.extension',
    'sphinx.ext.napoleon'
]

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
#
html_theme = "sphinx_book_theme"
html_theme_options = {
    "use_repository_button": True,
    "use_issues_button": True,
    "use_edit_page_button": True,
    "repository_url": 'https://github.com/Mr-Milk/spatialtis-core',
}


# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']
html_favicon = '_static/Logo.svg'
html_logo = '_static/Logo.svg'

# config autoapi
autoapi_options = ['members',
                   'undoc-members',
                   'private-members',
                   'show-inheritance',
                   # 'show-mod-summary',
                   'special-members',
                   'imported-members', ]
autoapi_dirs = ['../spatialtis_core']
autoapi_file_patterns = ['*.pyi', '*.py']
autoapi_member_order = "groupwise"

